import request from '@/utils/request'

// 查询PAGA系统列表
export function listPaga(query) {
  return request({
    url: '/emergency/paga/list',
    method: 'get',
    params: query
  })
}

// 查询PAGA系统详细
export function getPaga(id) {
  return request({
    url: '/emergency/paga/' + id,
    method: 'get'
  })
}

// 新增PAGA系统
export function addPaga(data) {
  return request({
    url: '/emergency/paga',
    method: 'post',
    data: data
  })
}

// 修改PAGA系统
export function updatePaga(data) {
  return request({
    url: '/emergency/paga',
    method: 'put',
    data: data
  })
}

// 删除PAGA系统
export function delPaga(id) {
  return request({
    url: '/emergency/paga/' + id,
    method: 'delete'
  })
}
